document.addEventListener('DOMContentLoaded', () => {
  const switcherButtons = document.querySelectorAll('.login-switcher button');
  const loginForms = document.querySelectorAll('.login-form');
  const credentialsForm = document.getElementById('credentials-login');
  const rememberCheckbox = document.getElementById('remember');
  
  // Login method switcher
  switcherButtons.forEach(button => {
    button.addEventListener('click', () => {
      const loginType = button.dataset.type;
      
      // Update active states
      switcherButtons.forEach(btn => btn.classList.remove('active'));
      button.classList.add('active');
      
      // Switch forms with animation
      loginForms.forEach(form => {
        form.classList.remove('active');
        if (form.id === `${loginType}-login`) {
          form.classList.add('active');
        }
      });
    });
  });
  
  // Handle form submission
  credentialsForm.addEventListener('submit', (e) => {
    e.preventDefault();
    const email = document.getElementById('email').value;
    const password = document.getElementById('password').value;
    
    // Here you would typically handle the login logic
    console.log('Login attempt:', { email, password, remember: rememberCheckbox.checked });
  });
  
  // Remember me functionality
  const savedEmail = localStorage.getItem('rememberedEmail');
  if (savedEmail) {
    document.getElementById('email').value = savedEmail;
    rememberCheckbox.checked = true;
  }
  
  rememberCheckbox.addEventListener('change', () => {
    const email = document.getElementById('email').value;
    if (rememberCheckbox.checked) {
      localStorage.setItem('rememberedEmail', email);
    } else {
      localStorage.removeItem('rememberedEmail');
    }
  });
  
  // Auto-focus email input on page load
  document.getElementById('email').focus();
});
